[bfl] 24/40: add autopkgtests

Johannes Schauer josch at moszumanska.debian.org
Fri Aug 11 17:24:05 UTC 2017


This is an automated email from the git hooks/post-receive script.

josch pushed a commit to branch master
in repository bfl.

commit b9b658460d09c52b8bfa0596616fb2cc42b10b62
Author: Johannes 'josch' Schauer <josch at mister-muffin.de>
Date:   Sat Aug 12 00:42:00 2017 +0900

    add autopkgtests
---
 debian/tests/control   |  3 +++
 debian/tests/run-tests | 27 +++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..4422619
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: run-tests
+Restrictions: allow-stderr
+Depends: @, @builddeps@
diff --git a/debian/tests/run-tests b/debian/tests/run-tests
new file mode 100644
index 0000000..97d4efd
--- /dev/null
+++ b/debian/tests/run-tests
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -exu
+
+SOURCEDIR=$(pwd)
+
+cd "$ADTTMP"
+
+cat > CMakeLists.txt << END
+CMAKE_MINIMUM_REQUIRED(VERSION 2.2)
+set(BUILD_EXAMPLES ON)
+
+pkg_check_modules(OROCOS_BFL REQUIRED orocos-bfl)
+include_directories(\${OROCOS_BFL_INCLUDE_DIRS})
+link_directories(\${OROCOS_BFL_LIBRARY_DIRS})
+
+ADD_SUBDIRECTORY( $SOURCEDIR/examples/compare_filters )
+ADD_SUBDIRECTORY( $SOURCEDIR/examples/linear_kalman )
+ADD_SUBDIRECTORY( $SOURCEDIR/examples/nonlinear_kalman )
+ADD_SUBDIRECTORY( $SOURCEDIR/examples/nonlinear_particle )
+ADD_SUBDIRECTORY( $SOURCEDIR/examples/smoother )
+ADD_SUBDIRECTORY( $SOURCEDIR/examples/discrete_filter )
+END
+
+mkdir build
+( cd build && cmake .. )
+make -C build

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/orocos/bfl.git



More information about the debian-science-commits mailing list